Package net.commoble.exmachina.api.content

# Class VariantsMechanicalComponent.VariantBuilder

java.lang.Object
net.commoble.exmachina.api.content.VariantsMechanicalComponent.VariantBuilder

Enclosing class:
  `VariantsMechanicalComponent`

public static class VariantsMechanicalComponent.VariantBuilder extends Object
Datagen helper for building a variant matching multiple properties' values

## Method Summary

Modifier and Type
Method
Description
`<T extends Comparable<T>>
VariantsMechanicalComponent.VariantBuilder`
`add(net.minecraft.world.level.block.state.properties.Property<T> property, T value)`
Add a required property-value to this variant

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### add

public <T extends Comparable<T>> VariantsMechanicalComponent.VariantBuilder add(net.minecraft.world.level.block.state.properties.Property<T> property, T value)
Add a required property-value to this variant

Type Parameters:
  `T` - Type of the blockstate property, e.g. Direction
Parameters:
  `property` - Property of this block's blockstates, e.g. BlockStateProperties.FACING
  `value` - A value of that property, e.g. Direction.NORTH
Returns:
  this